Summary: RIP routing daemon for automatic route table maintenance
Name: routed
Version: 0.10
Release: 3
Copyright: BSD
Group: Networking
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-routed-0.10.tar.gz
Source1: routed.init
Patch: netkit-routed-0.10-misc.patch
BuildRoot: /var/tmp/routed-root
Prereq: /sbin/chkconfig

%changelog

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>

- fixed init script (wasn't including function library)

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>

- added init script, chkconfig support

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>

- initial build

%description
A number of protocols are available for automatic updating of TCP/IP
routing tables. RIP is the simplest of those, and this package includes
a daemon which broadcasts RIP routing notification and handles incoming
RIP packets.

%prep
%setup -n netkit-routed-0.10
%patch -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make INSTALLROOT=$RPM_BUILD_ROOT install
install -m 755 $RPM_SOURCE_DIR/routed.init $RPM_BUILD_ROOT/etc/rc.d/init.d/routed

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add routed

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del routed
fi

%files
/usr/sbin/routed
/usr/man/man8/routed.8
/etc/rc.d/init.d/routed
